> For the complete documentation index, see [llms.txt](https://docs.terminal.africa/tship/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.terminal.africa/tship/duties/estimate-duty.md).

# Estimate Duty

Estimate import duty required for a shipment.

## /duties

<mark style="color:green;">`POST`</mark> `https://api.terminal.africa/v1/duties/calculate`

This endpoint allows you to estimate the expected import duty on a parcel. Please see [API Pricing](/tship/miscallaneous/api-pricing.md) for usage fees.

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Set value to `Bearer SECRET_KEY` |
| Content-Type                                    | String | Set value to `application/json`  |

#### Request Body

| Name              | Type   | Description                                                                                                                                                                                                                       |
| ----------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| shipment\_id      | string | Unique reference of shipment.                                                                                                                                                                                                     |
| carrier           | string | Indicate the carrier slug for the carrier that will process the shipment. e.g. fedex, dhl-ng.                                                                                                                                     |
| currency          | string | Currency for rates. Defaults to ***NGN***. Available options are ***AED***, ***AUD***, ***CAD***, ***CNY***, ***EUR***, ***GBP***, ***GHS***, ***HKD***, ***KES***, ***NGN***, ***TZS***, ***UGX***, ***USD***, ***ZAR***.        |
| pickup\_address   | object | Pickup Address Object. Refer to [**Create Address**](https://docs.terminal.africa/tship/address/create-address) under Addresses to see attributes required to create a pickup address. Required if shipment id does not exist     |
| delivery\_address | object | Delivery Address Object. Refer to [**Create Address**](https://docs.terminal.africa/tship/address/create-address) under Addresses to see attributes required to create a delivery address. Required if shipment id does not exist |
| parcels           | array  | Array of Parcel Object. Refer to [**Create Parcel**](https://docs.terminal.africa/tship/parcel/create-parcel) under Parcels API Endpoints to see attributes required. Required if shipment id does not exist                      |

{% tabs %}
{% tab title="200: OK Duty for shipment estimated successfully" %}

```javascript
{
    "status": true,
    "message": "Duty estimated successfully",
    "data": {
        "applied": false,
        "breakdown": {
            "additional_duty_122 (parcel 1)": 176.64,
            "additional duty fee (minimum fee)": 61646.51
        },
        "date_applied": null,
        "amount": 61823.15,
        "currency": "NGN",
        "duty_currency": "USD",
        "exchange_rate": {
            "NGN": 0.0006793571437101728
        },
        "external_reference": "QO-74jiZdRypNHmbTyRIYSvEHMQks9PJ1sg",
        "pricing_strategy": "MAXIMUM",
        "metadata": {
            "pickup_address": {
                "line1": "Oladimeji street",
                "line2": "",
                "city": "Surulere",
                "state": "Lagos",
                "country": "NG",
                "zip": "101241"
            },
            "delivery_address": {
                "line1": "7372 PARKRIDGE BLVD, APT 286, 2903 sprank",
                "city": "IRVING",
                "state": "Texas",
                "country": "US",
                "zip": "75063-8659"
            },
            "items": [
                {
                    "description": "Apple MacBook Pro with Charger, Wireless mouse and Keyboard",
                    "name": "0% off on Offer on deals",
                    "currency": "NGN",
                    "value": 1399,
                    "quantity": 1,
                    "weight": 2,
                    "hs_code": "123456789"
                }
            ]
        },
        "user": "USER-1234567890",
        "reversed": false,
        "transaction_reference": null,
        "_id": "69c4e1a4411b643d5aa2b0f0",
        "duty_fee_id": "DF-00076781642592177928974983940005",
        "created_at": "2026-03-26T07:35:00.160Z",
        "updated_at": "2026-03-26T07:35:00.160Z",
        "__v": 0,
        "id": "69c4e1a4411b643d5aa2b0f0"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.terminal.africa/tship/duties/estimate-duty.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
